<?php
if(!isset($action->objectType) || !isset($action->action)) return false;

$this->app->loadLang($action->objectType);
if(empty($desc) && strpos('createpullreq,editpullreq,removepullreq', $action->action) !== false && strpos($action->extra, '::') !== false)
{
    $mrAction = str_replace('pullreq', '', $action->action) . 'Action';
    list($mrDate, $mrActor, $mrLink) = explode('::', $action->extra);
    if(!$mrActor) $mrActor = $action->actor;
    if(is_numeric($mrLink)) $mrLink = helper::createLink('pullreq', 'view', "mrID={$mrLink}");

    $this->app->loadLang('pullreq');
    $desc = sprintf($this->lang->pullreq->{$mrAction}, $mrDate, $mrActor, $mrLink);
}
